﻿// Custom date validate
(function ($) {
    if (!$.validator) {
        throw '$.validator is missing.';
    }

    $.validator.addMethod("date", function (value, element) {
        var check = false;
        var re = /^\d{1,2}\.\d{1,2}\.\d{4}$/;
        if (re.test(value)) {
            var adata = value.split('.');
            var day = parseInt(adata[0], 10);
            var month = parseInt(adata[1], 10);
            var year = parseInt(adata[2], 10);
            check = isValidDate(day, month, year);
        }
        
        if (validatorObject.settings.messages[GetValueWithoutIncremental(element.id)])
            validatorObject.settings.messages[GetValueWithoutIncremental(element.id)]['date'] = 'Zadajte platný dátum'

        return this.optional(element) || ((/^$|^\d{4}-([0][1-9]|[1][0-2])-(([0][1-9])|([12][0-9])|(3[01]))$/.test(value) || /^$|^(([0][1-9])|([12][0-9])|(3[01])).([0][1-9]|[1][0-2]).\d{4}$/.test(value)) && check);
    }, 'Zadajte platný dátum');
}(jQuery));

function isValidDate(day, month, year) {
    if (month < 1 || month > 12) {
        return false;
    }
    if (day < 1 || day > 31) {
        return false;
    }
    if ((month == 4 || month == 6 || month == 9 || month == 11) && day == 31) {
        return false;
    }
    if (month == 2) { // check for february 29th
        var isleap = (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0));
        if (day > 29 || (day == 29 && !isleap)) {
            return false;
        }
    }
    return true;  // date is valid
}

// Pretazene pre odstranenie tabulatorov pre problem min v poli Identifikacne cislo pre dan dodavatela/Dod
function htmlEncode(value) {
    if (value) {
        value = value.replace(/\n/gi, "%0A");
        value = value.replace(/\\/gi, "%0B");
        value = value.replace(/"/gi, "%0C");
		value = value.replace(/&Tab;/gi, ' ').replace(/\u0009/gi, ' ');
        value = value.replace(/&nbsp;/gi, ' ').replace(/\u00a0/g, ' ');
        return $('<div/>').text(value).html();
    }
    return value;
}

function DecorateMonthAndDay(value) {
    if (value != '' && value.length < 2)
	    value = '0' + value;
    
    return value;
}

var xml;
var stringBuilder;
//**************************************************
function createxmlfinal()
{
stringBuilder = new $.StringBuilder();
stringBuilder.appendLine('<?xml version="1.0" encoding="utf-8"?>');
stringBuilder.appendLine('<KVDPH_2021 xmlns="https://ekr.financnasprava.sk/Formulare/XSD/kv_dph_2021.xsd">');
stringBuilder.appendLine('<Identifikacia>');
stringBuilder.appendLine('<IcDphPlatitela>' + "SK" + htmlEncode($('#registracne').val()) + '</IcDphPlatitela>');
stringBuilder.append('<Druh>');
if ($('#riadny').is(':checked') == true) {
  stringBuilder.append('R');	
}
if ($('#opravny').is(':checked') == true) {
  stringBuilder.append('O');	
}
if ($('#dodatocny').is(':checked') == true) {
  stringBuilder.append('D');	
}
stringBuilder.appendLine('</Druh>');
stringBuilder.appendLine('<Obdobie>');
stringBuilder.appendLine('<Rok>' + htmlEncode($('#formRok').val()) + '</Rok>');

if ($('#formMesiac').val()!="")
	{
	stringBuilder.appendLine('<Mesiac>' + htmlEncode($('#formMesiac').val()) + '</Mesiac>');
	}	
else
    {
	stringBuilder.appendLine('<Stvrtrok>' + htmlEncode($('#formStvrtrok').val()) + '</Stvrtrok>');
    }	
stringBuilder.appendLine('</Obdobie>');
stringBuilder.appendLine('<Nazov>' + htmlEncode($('#formObchMeno').val().replace(/\t/g," ").replace(/\n/g," ")) + '</Nazov>');

stringBuilder.appendLine('<Stat>' + htmlEncode($('#formStat').val()) + '</Stat>');
stringBuilder.appendLine('<Obec>' + htmlEncode($('#formObec').val()) + '</Obec>');
stringBuilder.appendLine('<PSC>' + htmlEncode($('#formPSC').val()) + '</PSC>');
stringBuilder.appendLine('<Ulica>' + htmlEncode($('#formUlica').val()) + '</Ulica>');
stringBuilder.appendLine('<Cislo>' + htmlEncode($('#formUlicaCIslo').val()) + '</Cislo>');
stringBuilder.appendLine('<Tel>' + htmlEncode($('#formTelefon').val()) + '</Tel>');
stringBuilder.appendLine('<Email>' + htmlEncode($('#formemail').val()) + '</Email>');
stringBuilder.appendLine('</Identifikacia>');
stringBuilder.appendLine('<Transakcie>');

//SEKCIA A1

$('#layoutRow32989').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow32989').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];
if (getPageValue2Xml(pageValues1, 'sekciaA1_h6') != '' || getPageValue2Xml(pageValues1, 'sekciaA1_h5') != '' || getPageValue2Xml(pageValues1, 'sekciaA1_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaA1_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaA1_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaA1_h7') != '' || getPageValue2Xml(pageValues1, 'sekciaA1_h1') != '') {
	stringBuilder.append('<A1');
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h7')).length > 0)
	{
		stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h7')) + '"');
	}

		stringBuilder.append(' S="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h6')) + '"');

		stringBuilder.append(' D="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h5')) + '"');

		stringBuilder.append(' Z="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h4')) + '"');
	var den = '';
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h3')).length > 0)
	{
	  den = htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h3').split(".")[2]) + '-' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h3').split(".")[1]) + '-' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h3').split(".")[0]);
	}
		stringBuilder.append(' Den="' + den + '"');

		stringBuilder.append(' F="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h2')) + '"');
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h1')).length > 0)
	{
		stringBuilder.append(' Odb="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA1_h1')) + '"');
	}

	stringBuilder.appendLine('/>');
}

}
}
}
//SEKCIA A2

$('#layoutRow32992').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow32992').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValue2Xml(pageValues1, 'sekciaA2_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaA2_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaA2_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaA2_h1') != '' || getPageValue2Xml(pageValues1, 'sekciaA2_h9') != '' || getPageValue2Xml(pageValues1, 'sekciaA2_h8') != '' || getPageValue2Xml(pageValues1, 'sekciaA2_h7') != '' || getPageValue2Xml(pageValues1, 'sekciaA2_h6') != ''  || getPageValue2Xml(pageValues1, 'sekciaA2_h5') != '') {

	stringBuilder.append('<A2');

	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h9')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h9')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h8')).length > 0)
	{
	  stringBuilder.append(' MJ="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h8')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h7')).length > 0)
	{
	  stringBuilder.append(' Mn="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h7')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h6')).length > 0)
	{
	  stringBuilder.append(' TD="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h6')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h5')).length > 0)
	{
	  stringBuilder.append(' TK="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h5')) + '"');
	}
	stringBuilder.append(' Z="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h4')) + '"');
	var den = '';
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h3')).length > 0)
	{
	  den = htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h3').split(".")[2]) + '-' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h3').split(".")[1]) + '-' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h3').split(".")[0]);
	}
	stringBuilder.append(' Den="' + den + '"');
	stringBuilder.append(' F="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h2')) + '"');
	stringBuilder.append(' Odb="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaA2_h1')) + '"');

	stringBuilder.appendLine('/>');
}

}
}
}

//SEKCIA B1

$('#layoutRow32994').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow32994').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii)
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValue2Xml(pageValues1, 'sekciaB1_h7') != '' || getPageValue2Xml(pageValues1, 'sekciaB1_h6') != '' || getPageValue2Xml(pageValues1, 'sekciaB1_h5') != '' || getPageValue2Xml(pageValues1, 'sekciaB1_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaB1_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaB1_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaB1_h1') != '' || getPageValue2Xml(pageValues1, 'sekciaB1_h8') != '') {
	stringBuilder.append('<B1');

	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h8')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h8')) + '"');
	}
	stringBuilder.append(' O="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h7')) + '"');
	stringBuilder.append(' S="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h6')) + '"');
	stringBuilder.append(' D="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h5')) + '"');
	stringBuilder.append(' Z="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h4')) + '"');
	var den = '';
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h3')).length > 0)
	{
	  den = htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h3').split(".")[2]) + '-' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h3').split(".")[1]) + '-' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h3').split(".")[0]);
	}
	stringBuilder.append(' Den="' + den + '"');
	stringBuilder.append(' F="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h2')) + '"');
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h1')).length > 0)
	{
	  stringBuilder.append(' Dod="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB1_h1')) + '"');
	}

	stringBuilder.appendLine('/>');
}

}
}
}

// SEKCIA B2

$('#layoutRow32997').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow32997').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValue2Xml(pageValues1, 'sekciaB2_h7') != '' || getPageValue2Xml(pageValues1, 'sekciaB2_h6') != '' || getPageValue2Xml(pageValues1, 'sekciaB2_h5') != '' || getPageValue2Xml(pageValues1, 'sekciaB2_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaB2_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaB2_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaB2_h8') != '' || getPageValue2Xml(pageValues1, 'sekciaB2_h1') != '') {
	stringBuilder.append('<B2');
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h8')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h8')) + '"');
	}
	stringBuilder.append(' O="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h7')) + '"');
	stringBuilder.append(' S="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h6')) + '"');
	stringBuilder.append(' D="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h5')) + '"');
	stringBuilder.append(' Z="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h4')) + '"');
	var den = '';
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h3')).length > 0)
	{
	  den = htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h3').split(".")[2]) + '-' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h3').split(".")[1]) + '-' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h3').split(".")[0]);
	}
	stringBuilder.append(' Den="' + den + '"');
	stringBuilder.append(' F="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h2')) + '"');
	stringBuilder.append(' Dod="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB2_h1')) + '"');

	stringBuilder.appendLine('/>');
}

}
}
}

// SEKCIA B3.1

$('#layoutRow32999').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow32999').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValue2Xml(pageValues1, 'sekciaB31_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaB31_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaB31_h1') != '' || getPageValue2Xml(pageValues1, 'sekciaB31_h4') != '') {
	stringBuilder.append('<B31');
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB31_h4')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB31_h4')) + '"');
	}
	stringBuilder.append(' O="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB31_h3')) + '"');
	stringBuilder.append(' D="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB31_h2')) + '"');
	stringBuilder.append(' Z="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB31_h1')) + '"');

	stringBuilder.appendLine('/>');
}

}
}
}

// SEKCIA B3.2

$('#layoutRow33001').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow33001').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValue2Xml(pageValues1, 'sekciaB32_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaB32_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaB32_h1') != '' || getPageValue2Xml(pageValues1, 'sekciaB32_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaB32_h4') != '') {
	stringBuilder.append('<B32');
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB32_h5')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB32_h5')) + '"');
	}
	stringBuilder.append(' Dod="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB32_h1')) + '"');
	stringBuilder.append(' O="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB32_h4')) + '"');
	stringBuilder.append(' D="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB32_h3')) + '"');
	stringBuilder.append(' Z="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaB32_h2')) + '"');

	stringBuilder.appendLine('/>');
}

}
}
}

// SEKCIA C1

$('#layoutRow33003').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow33003').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValue2Xml(pageValues1, 'sekciaC1_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h1') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h12') != '' || getPageValueCh2Xml(pageValues1, 'sekciaC1_h11') == "1" || getPageValue2Xml(pageValues1, 'sekciaC1_h10') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h9') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h8') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h7') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h6') != '' || getPageValue2Xml(pageValues1, 'sekciaC1_h5') != '') {
	stringBuilder.append('<C1');

	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h12')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h12')) + '"');
	}
	if (getPageValueCh2Xml(pageValues1, 'sekciaC1_h11') == "1")
	{
	  stringBuilder.append(' ONP="x"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h10')).length > 0)
	{
	  stringBuilder.append(' MJ="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h10')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h9')).length > 0)
	{
	  stringBuilder.append(' Mn="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h9')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h8')).length > 0)
	{
	  stringBuilder.append(' TD="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h8')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h7')).length > 0)
	{
	  stringBuilder.append(' TK="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h7')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h6')).length > 0)
	{
	  stringBuilder.append(' S="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h6')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h5')).length > 0)
	{
	  stringBuilder.append(' DR="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h5')) + '"');
	}
	stringBuilder.append(' ZR="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h4')) + '"');
	stringBuilder.append(' FP="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h3')) + '"');
	stringBuilder.append(' FO="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h2')) + '"');

	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h1')).length > 0)
	{
	  stringBuilder.append(' Odb="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC1_h1')) + '"');
	}

	stringBuilder.appendLine('/>');
}

}
}
}

// SEKCIA C2

$('#layoutRow33006').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow33006').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValueCh2Xml(pageValues1, 'sekciaC2_h8') == 1 || getPageValue2Xml(pageValues1, 'sekciaC2_h7') != '' || getPageValue2Xml(pageValues1, 'sekciaC2_h6') != '' || getPageValue2Xml(pageValues1, 'sekciaC2_h5') != '' || getPageValue2Xml(pageValues1, 'sekciaC2_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaC2_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaC2_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaC2_h9') != '' || getPageValue2Xml(pageValues1, 'sekciaC2_h1') != '') {
	stringBuilder.append('<C2');

	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h9')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h9')) + '"');
	}
	if (getPageValueCh2Xml(pageValues1, 'sekciaC2_h8') == "1")
	{
	  stringBuilder.append(' ONP="x"');
	}
	stringBuilder.append(' OR="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h7')) + '"');
	stringBuilder.append(' S="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h6')) + '"');
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h5')).length > 0)
	{
	  stringBuilder.append(' DR="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h5')) + '"');
	}
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h4')).length > 0)
	{
	  stringBuilder.append(' ZR="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h4')) + '"');
	}
	stringBuilder.append(' FP="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h3')) + '"');
	stringBuilder.append(' FO="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h2')) + '"');
	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h1')).length > 0)
	{
	  stringBuilder.append(' Dod="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaC2_h1')) + '"');
	}

	stringBuilder.appendLine('/>');
}

}
}
}

// SEKCIA D1

$('#layoutRow33008').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow33008').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValue2Xml(pageValues1, 'sekciaD1_h5') != '' || getPageValue2Xml(pageValues1, 'sekciaD1_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaD1_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaD1_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaD1_h1') != '' || getPageValue2Xml(pageValues1, 'sekciaD1_h6') != '') {
	stringBuilder.append('<D1');

	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD1_h6')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD1_h6')) + '"');
	}
	stringBuilder.append(' DZn="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD1_h5')) + '"');
	stringBuilder.append(' ZZn="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD1_h4')) + '"');
	stringBuilder.append(' D="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD1_h3')) + '"');
	stringBuilder.append(' Z="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD1_h2')) + '"');
	stringBuilder.append(' SumaObratov="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD1_h1')) + '"');

	stringBuilder.appendLine('/>');
}

}
}
}

// SEKCIA D2

$('#layoutRow33011').pageableSection().saveCurrentPage();

var polesekcii = $('#layoutRow33011').pageableSection();
var pocetsekcii = polesekcii.totalPages;
var sekciinastranu = pocetsekcii;
var sekcia = 0;
var aktstrana = 0;
var pocetstran = vypocetpoctustranXml(pocetsekcii, sekciinastranu);
for (var strana=0;strana<=pocetstran-1;strana++)
{
aktstrana = strana + 1;
for (var aktcyklus=1;aktcyklus<=sekciinastranu;aktcyklus++)
{
sekcia = (strana*sekciinastranu)+aktcyklus;
if ((strana*sekciinastranu)+aktcyklus <= pocetsekcii) 
{ 
var pageValues1 = polesekcii.pages[sekcia-1];

if (getPageValue2Xml(pageValues1, 'sekciaD2_h4') != '' || getPageValue2Xml(pageValues1, 'sekciaD2_h3') != '' || getPageValue2Xml(pageValues1, 'sekciaD2_h2') != '' || getPageValue2Xml(pageValues1, 'sekciaD2_h1') != '' || getPageValue2Xml(pageValues1, 'sekciaD2_h5') != '') {
	stringBuilder.append('<D2');

	if (htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD2_h5')).length > 0)
	{
	  stringBuilder.append(' KOpr="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD2_h5')) + '"');
	}
	stringBuilder.append(' DZn="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD2_h4')) + '"');
	stringBuilder.append(' ZZn="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD2_h3')) + '"');
	stringBuilder.append(' D="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD2_h2')) + '"');
	stringBuilder.append(' Z="' + htmlEncode(getPageValue2Xml(pageValues1, 'sekciaD2_h1')) + '"');

	stringBuilder.appendLine('/>');
}

}
}
}

stringBuilder.appendLine('</Transakcie>');
stringBuilder.appendLine('</KVDPH_2021>');
return stringBuilder.string();
}

function getPageValue1Xml(page, element) {
    if (page == 1) {
        return $("#" + element).val();
    } else {
        var poradie = page - 1;
        return $("#" + element + "_Repeating_" + poradie).val();
    }
    /*
    if (page == 1) {
      return $("#" + element).val();
    }
    if (page == 2) {
    return $("#" + element + "1").val();
    }
    if (page == 3) {
      return $("#" + element + "3").val();
    }
    if (page > 3) {
      var pomocna = (page - 3) + page;
      return $("#" + element + pomocna).val();
    }
    */
}

function getPageValue2Xml(pageValues, elementId) {
for (var i = 0; i < pageValues.values.length; i++) {
  var value = pageValues.values[i];
    if (value.key === elementId) {
      return value.value || '';
      break;
    }
  }
}

function getPageValueCh1Xml(page, element) {
    if (page == 1) {
        return $("#" + element).is(':checked') ? '1' : '0';
    } else {
        var poradie = page - 1;
        return $("#" + element + "_Repeating_" + poradie).is(':checked') ? '1' : '0';
    }
    /*
    if (page == 1) {
      return $("#" + element).is(':checked') ? '1' : '0';
    }
    if (page == 2) {
      return $("#" + element + "1").is(':checked') ? '1' : '0';
    }
    if (page == 3) {
      return $("#" + element + "3").is(':checked') ? '1' : '0';
    }
    if (page > 3) {
      var pomocna = (page - 3) + page;
      return $("#" + element + pomocna).is(':checked') ? '1' : '0';
    }
    */
}

function getPageValueCh2Xml(pageValues, elementId) {
var vrat = '0';
for (var i = 0; i < pageValues.values.length; i++) {
  var value = pageValues.values[i];
    if (value.key === elementId) {
      //if ($("#"+value.key).attr("checked") == true) {
      if (value.value == true) {
        vrat = '1';
      }
      break;
    }
  }
return vrat;
}

function vypocetpoctustranXml(pocetsekcii, sekciinastranu)
{
var pocetstran = Math.floor(pocetsekcii/sekciinastranu);
if ((pocetsekcii%sekciinastranu)>0) {
  pocetstran = pocetstran + 1;
}
return pocetstran
}


var xml;
var stringBuilder;
//**************************************************
var xmlDoc;
var txt;
function loadxmlfinal(txt)
{
//txt = $("#xmlko").val();
if (window.DOMParser) {
  parser = new DOMParser();
  xmlDoc = parser.parseFromString(txt, "text/xml");
}
else // Internet Explorer
{
  xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
  xmlDoc.async = false;
  xmlDoc.loadXML(txt);
}

  var Identifikacia_xx = xmlDoc.getElementsByTagName('Identifikacia')[0];
  if (Identifikacia_xx) {
    $('#registracne').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('IcDphPlatitela')[0]).substr(2));
	var druhPodania = Identifikacia_xx.getElementsByTagName('Druh')[0]
	if(getElementsValXml(druhPodania) == "R")
		$('#riadny').attr('checked',true).change();
	if(getElementsValXml(druhPodania) == "D")
		$('#dodatocny').attr('checked',true).change();
	if(getElementsValXml(druhPodania) == "O")	
		$('#opravny').attr('checked',true).change();
    var Obdobie_xx = Identifikacia_xx.getElementsByTagName('Obdobie')[0];
    if (Obdobie_xx) {
		var rok = Obdobie_xx.getElementsByTagName('Rok')[0];	
		if(rok && parseInt(getElementsValXml(Obdobie_xx.getElementsByTagName('Rok')[0])) >= 2016)
			$('#formRok').val( getElementsValXml(Obdobie_xx.getElementsByTagName('Rok')[0]));
     
	  var mesiac = Obdobie_xx.getElementsByTagName('Mesiac')[0];
	  if(mesiac)
			$('#formMesiac').val( getElementsValXml(Obdobie_xx.getElementsByTagName('Mesiac')[0]));
	  var stvrtrok = Obdobie_xx.getElementsByTagName('Stvrtrok')[0];
	  if(stvrtrok)
			$('#formStvrtrok').val(getElementsValXml(Obdobie_xx.getElementsByTagName('Stvrtrok')[0]));    
    }
    
	$('#formObchMeno').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('Nazov')[0]));
    $('#formStat').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('Stat')[0]));
    $('#formObec').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('Obec')[0]));
    
	var psc = Identifikacia_xx.getElementsByTagName('PSC')[0];
	if(psc)
		$('#formPSC').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('PSC')[0]));
    
	var ulica = Identifikacia_xx.getElementsByTagName('Ulica')[0];
	if(ulica)
		$('#formUlica').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('Ulica')[0]));
    
	var cislo = Identifikacia_xx.getElementsByTagName('Cislo')[0];
	if(cislo)
		$('#formUlicaCIslo').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('Cislo')[0]));
    
	var tel = Identifikacia_xx.getElementsByTagName('Tel')[0];
	if(tel)
	$('#formTelefon').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('Tel')[0]));
    
	var email = Identifikacia_xx.getElementsByTagName('Email')[0];
	if(email)
	$('#formemail').val(getElementsValXml(Identifikacia_xx.getElementsByTagName('Email')[0]));
  }
  var Transakcie_xx = xmlDoc.getElementsByTagName('Transakcie')[0];
  if (Transakcie_xx) {

    var opaksekcia = xmlDoc.getElementsByTagName('A1');
    if (opaksekcia.length) {
      var polesekcii = $('#layoutRow32989').pageableSection();
      var sekcia = 0;
      var vlozit = 0;
      if (opaksekcia.length > 0) {
        var poma = $('#layoutRow32989').pageableSection().totalPages;
        if (poma > 1) {
          for (var pomb=1;pomb<poma;pomb++) {
            $('#layoutRow32989').pageableSection().removePage();
          }
        }
      }
      for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
      var A1_xx = xmlDoc.getElementsByTagName('A1')[pocetopakovani];
      if (A1_xx ) {

          if (vlozit > 0) {
            $('#layoutRow32989').pageableSection().addPage();
          }
          vlozit = vlozit + 1;

		$('#sekciaA1_h1').val(A1_xx.getAttribute('Odb'));
		$('#sekciaA1_h2').val(A1_xx.getAttribute('F')); 
		 if(A1_xx.getAttribute('Den').length > 0) 
          {
            var den = DecorateMonthAndDay(A1_xx.getAttribute('Den').split("-")[2]) + '.' + DecorateMonthAndDay(A1_xx.getAttribute('Den').split("-")[1]) + '.' + A1_xx.getAttribute('Den').split("-")[0];
            $('#sekciaA1_h3').val(den);
          }
		$('#sekciaA1_h4').val(A1_xx.getAttribute('Z')).change();
		$('#sekciaA1_h5').val(A1_xx.getAttribute('D')).change();
		$('#sekciaA1_h6').val(A1_xx.getAttribute('S'));
		$('#sekciaA1_h7').val(A1_xx.getAttribute('KOpr'));
		$("#sekciaA1_h7").attr("disabled", false);
        }
      }
	  
	  $('#layoutRow32989').pageableSection().saveCurrentPage();
    }

//SEKCIA A2	
	
    var opaksekcia = xmlDoc.getElementsByTagName('A2');
    if (opaksekcia.length) {
      var polesekcii = $('#layoutRow32992').pageableSection();
      var sekcia = 0;
      var vlozit = 0;
      if (opaksekcia.length > 0) {
        var poma = $('#layoutRow32992').pageableSection().totalPages;
        if (poma > 1) {
          for (var pomb=1;pomb<poma;pomb++) {
            $('#layoutRow32992').pageableSection().removePage();
          }
        }
      }
      for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
      var A1_xx = xmlDoc.getElementsByTagName('A2')[pocetopakovani];
      if (A1_xx ) {

          if (vlozit > 0) {
            $('#layoutRow32992').pageableSection().addPage();
          }
          vlozit = vlozit + 1;

        $('#sekciaA2_h9').val(A1_xx.getAttribute('KOpr'));
		$("#sekciaA2_h9").attr("disabled", false);
		
		$('#sekciaA2_h8').val(A1_xx.getAttribute('MJ'));
		$('#sekciaA2_h7').val(A1_xx.getAttribute('Mn')).change();
		$('#sekciaA2_h6').val(A1_xx.getAttribute('TD'));
		$('#sekciaA2_h5').val(A1_xx.getAttribute('TK'));
		$('#sekciaA2_h4').val(A1_xx.getAttribute('Z')).change();
		if(A1_xx.getAttribute('Den').length > 0) 
          {
            var den = DecorateMonthAndDay(A1_xx.getAttribute('Den').split("-")[2]) + '.' + DecorateMonthAndDay(A1_xx.getAttribute('Den').split("-")[1]) + '.' + A1_xx.getAttribute('Den').split("-")[0];
            $('#sekciaA2_h3').val(den);
          }
		$('#sekciaA2_h2').val(A1_xx.getAttribute('F')); 
		$('#sekciaA2_h1').val(A1_xx.getAttribute('Odb')); 

        }
      }
	  
	  $('#layoutRow32992').pageableSection().saveCurrentPage();
    }

	
// SEKCIA B1

var opaksekcia = xmlDoc.getElementsByTagName('B1');
    if (opaksekcia.length) {
      var polesekcii = $('#layoutRow32994').pageableSection();
      var sekcia = 0;
      var vlozit = 0;
      if (opaksekcia.length > 0) {
        var poma = $('#layoutRow32994').pageableSection().totalPages;
        if (poma > 1) {
          for (var pomb=1;pomb<poma;pomb++) {
            $('#layoutRow32994').pageableSection().removePage();
          }
        }
      }
      for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
      var A1_xx = xmlDoc.getElementsByTagName('B1')[pocetopakovani];
      if (A1_xx ) {

          if (vlozit > 0) {
            $('#layoutRow32994').pageableSection().addPage();
          }
          vlozit = vlozit + 1;

		  $('#sekciaB1_h8').val(A1_xx.getAttribute('KOpr'));
		  $("#sekciaB1_h8").attr("disabled", false);
		  
		  $('#sekciaB1_h7').val(A1_xx.getAttribute('O')).change();
		  $('#sekciaB1_h6').val(A1_xx.getAttribute('S'));
		  $('#sekciaB1_h5').val(A1_xx.getAttribute('D')).change();
		  $('#sekciaB1_h4').val(A1_xx.getAttribute('Z')).change();
		if(A1_xx.getAttribute('Den').length > 0) 
          {
            var den = DecorateMonthAndDay(A1_xx.getAttribute('Den').split("-")[2]) + '.' + DecorateMonthAndDay(A1_xx.getAttribute('Den').split("-")[1]) + '.' + A1_xx.getAttribute('Den').split("-")[0];
            $('#sekciaB1_h3').val(den);
          }	  
		  $('#sekciaB1_h2').val(A1_xx.getAttribute('F')); 		  
		  $('#sekciaB1_h1').val(A1_xx.getAttribute('Dod'));
     
        }
      }
	  
	  $('#layoutRow32994').pageableSection().saveCurrentPage();
    }	
	
// SEKCIA B2	

var opaksekcia = xmlDoc.getElementsByTagName('B2');
    if (opaksekcia.length) {
      var polesekcii = $('#layoutRow32997').pageableSection();
      var sekcia = 0;
      var vlozit = 0;
      if (opaksekcia.length > 0) {
        var poma = $('#layoutRow32997').pageableSection().totalPages;
        if (poma > 1) {
          for (var pomb=1;pomb<poma;pomb++) {
            $('#layoutRow32997').pageableSection().removePage();
          }
        }
      }
      for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
      var A1_xx = xmlDoc.getElementsByTagName('B2')[pocetopakovani];
      if (A1_xx ) {

          if (vlozit > 0) {
            $('#layoutRow32997').pageableSection().addPage();
          }
          vlozit = vlozit + 1;

		  $('#sekciaB2_h8').val(A1_xx.getAttribute('KOpr'));
		  $("#sekciaB2_h8").attr("disabled", false);
		  
		  $('#sekciaB2_h7').val(A1_xx.getAttribute('O')).change();        
		  $('#sekciaB2_h6').val(A1_xx.getAttribute('S'));
		  $('#sekciaB2_h5').val(A1_xx.getAttribute('D')).change();
		  $('#sekciaB2_h4').val(A1_xx.getAttribute('Z')).change();
		if(A1_xx.getAttribute('Den').length > 0) 
          {
            var den = DecorateMonthAndDay(A1_xx.getAttribute('Den').split("-")[2]) + '.' + DecorateMonthAndDay(A1_xx.getAttribute('Den').split("-")[1]) + '.' + A1_xx.getAttribute('Den').split("-")[0];
            $('#sekciaB2_h3').val(den);
          }
		  $('#sekciaB2_h2').val(A1_xx.getAttribute('F')); 
          $('#sekciaB2_h1').val(A1_xx.getAttribute('Dod'));
   
        }
      }
	  
	  $('#layoutRow32997').pageableSection().saveCurrentPage();
    }	
	
// SEKCIA B3.1

var opaksekcia = xmlDoc.getElementsByTagName('B31');
    if (opaksekcia.length) {
		if((($("#riadny").attr("checked") || $("#opravny").attr("checked")) && opaksekcia.length == 1) || ($("#dodatocny").attr("checked") && opaksekcia.length <= 2)){
		  var polesekcii = $('#layoutRow32999').pageableSection();
		  var sekcia = 0;
		  var vlozit = 0;
		  if (opaksekcia.length > 0) {
			var poma = $('#layoutRow32999').pageableSection().totalPages;
			if (poma > 1) {
			  for (var pomb=1;pomb<poma;pomb++) {
				$('#layoutRow32999').pageableSection().removePage();
			  }
			}
		  }
		  for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
		  var A1_xx = xmlDoc.getElementsByTagName('B31')[pocetopakovani];
		  if (A1_xx ) {

			  if (vlozit > 0) {
				$('#layoutRow32999').pageableSection().addPage();
			  }
			  vlozit = vlozit + 1;

			 $('#sekciaB31_h4').val(A1_xx.getAttribute('KOpr'));
			 $("#sekciaB31_h4").attr("disabled", false);
			 
			 $('#sekciaB31_h3').val(A1_xx.getAttribute('O')).change();
			 $('#sekciaB31_h2').val(A1_xx.getAttribute('D')).change();
			 $('#sekciaB31_h1').val(A1_xx.getAttribute('Z')).change();
			  
			 
			}
		  }
		  
		  $('#layoutRow32999').pageableSection().saveCurrentPage();
		}else{
			if(($("#riadny").attr("checked") || $("#opravny").attr("checked") && opaksekcia.length > 1)){
				alert("Počet sekcií B.3.1 bol prekročený. V prípade, že sa jedná o riadny alebo opravný výkaz, môže sa daná sekcia vyskytnúť len jedenkrát");
				ClearForm();
				throw false;
			}else if($("#dodatocny").attr("checked") && opaksekcia.length > 2){
				alert("Počet sekcií B.3.1 bol prekročený. V prípade, že sa jedná o dodatočný  výkaz, môže sa daná sekcia vyskytnúť len dvakrát.");
				ClearForm();
				throw false;
			}
		}
    }

// SEKCIA B3.2
	
var opaksekcia = xmlDoc.getElementsByTagName('B32');
    if (opaksekcia.length) {
      var polesekcii = $('#layoutRow33001').pageableSection();
      var sekcia = 0;
      var vlozit = 0;
      if (opaksekcia.length > 0) {
        var poma = $('#layoutRow33001').pageableSection().totalPages;
        if (poma > 1) {
          for (var pomb=1;pomb<poma;pomb++) {
            $('#layoutRow33001').pageableSection().removePage();
          }
        }
      }
      for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
      var A1_xx = xmlDoc.getElementsByTagName('B32')[pocetopakovani];
      if (A1_xx ) {

          if (vlozit > 0) {
            $('#layoutRow33001').pageableSection().addPage();
          }
          vlozit = vlozit + 1;

         $('#sekciaB32_h5').val(A1_xx.getAttribute('KOpr'));
		 $("#sekciaB32_h5").attr("disabled", false);
		 
		 $('#sekciaB32_h4').val(A1_xx.getAttribute('O')).change();
		 $('#sekciaB32_h3').val(A1_xx.getAttribute('D')).change();
         $('#sekciaB32_h2').val(A1_xx.getAttribute('Z')).change();
		 $('#sekciaB32_h1').val(A1_xx.getAttribute('Dod')).change();
          
         
        }
      }
	  
	  $('#layoutRow33001').pageableSection().saveCurrentPage();
    }

// SEKCIA C1

var opaksekcia = xmlDoc.getElementsByTagName('C1');
    if (opaksekcia.length) {
      var polesekcii = $('#layoutRow33003').pageableSection();
      var sekcia = 0;
      var vlozit = 0;
      if (opaksekcia.length > 0) {
        var poma = $('#layoutRow33003').pageableSection().totalPages;
        if (poma > 1) {
          for (var pomb=1;pomb<poma;pomb++) {
            $('#layoutRow33003').pageableSection().removePage();
          }
        }
      }
      for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
      var A1_xx = xmlDoc.getElementsByTagName('C1')[pocetopakovani];
      if (A1_xx ) {

          if (vlozit > 0) {
            $('#layoutRow33003').pageableSection().addPage();
          }
          vlozit = vlozit + 1;

          $('#sekciaC1_h12').val(A1_xx.getAttribute('KOpr'));
		  $("#sekciaC1_h12").attr("disabled", false);
		  
		  $('#sekciaC1_h11').attr("checked", A1_xx.getAttribute('ONP') == "x" ? true : false);
		  $('#sekciaC1_h10').val(A1_xx.getAttribute('MJ'));
		  $('#sekciaC1_h9').val(A1_xx.getAttribute('Mn')).change();
		  $('#sekciaC1_h8').val(A1_xx.getAttribute('TD'));
		  $('#sekciaC1_h7').val(A1_xx.getAttribute('TK'));
		  $('#sekciaC1_h6').val(A1_xx.getAttribute('S'));
		  $('#sekciaC1_h5').val(A1_xx.getAttribute('DR')).change();
		  $('#sekciaC1_h4').val(A1_xx.getAttribute('ZR')).change();
		  $('#sekciaC1_h3').val(A1_xx.getAttribute('FP'));
		  $('#sekciaC1_h2').val(A1_xx.getAttribute('FO'));		 
		  $('#sekciaC1_h1').val(A1_xx.getAttribute('Odb'));
          
        }
      }
	  
	  $('#layoutRow33003').pageableSection().saveCurrentPage();
    }	
	
// SEKCIA C2	
	
var opaksekcia = xmlDoc.getElementsByTagName('C2');
    if (opaksekcia.length) {
      var polesekcii = $('#layoutRow33006').pageableSection();
      var sekcia = 0;
      var vlozit = 0;
      if (opaksekcia.length > 0) {
        var poma = $('#layoutRow33006').pageableSection().totalPages;
        if (poma > 1) {
          for (var pomb=1;pomb<poma;pomb++) {
            $('#layoutRow33006').pageableSection().removePage();
          }
        }
      }
      for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
      var A1_xx = xmlDoc.getElementsByTagName('C2')[pocetopakovani];
      if (A1_xx ) {

          if (vlozit > 0) {
            $('#layoutRow33006').pageableSection().addPage();
          }
          vlozit = vlozit + 1;

          $('#sekciaC2_h9').val(A1_xx.getAttribute('KOpr'));
		  $("#sekciaC2_h9").attr("disabled", false);
		  
		  $('#sekciaC2_h8').attr("checked", A1_xx.getAttribute('ONP') == "x" ? true : false);
		  $('#sekciaC2_h7').val(A1_xx.getAttribute('OR')).change();
		  $('#sekciaC2_h6').val(A1_xx.getAttribute('S'));
		  $('#sekciaC2_h5').val(A1_xx.getAttribute('DR')).change();
		  $('#sekciaC2_h4').val(A1_xx.getAttribute('ZR')).change();
		  $('#sekciaC2_h3').val(A1_xx.getAttribute('FP'));
		  $('#sekciaC2_h2').val(A1_xx.getAttribute('FO'));
		  $('#sekciaC2_h1').val(A1_xx.getAttribute('Dod'));
          		  
        }
      }
	  
	  $('#layoutRow33006').pageableSection().saveCurrentPage();
    }	

// SEKCIA D1

var opaksekcia = xmlDoc.getElementsByTagName('D1');
    if (opaksekcia.length) {
		if((($("#riadny").attr("checked") || $("#opravny").attr("checked")) && opaksekcia.length == 1) || ($("#dodatocny").attr("checked") && opaksekcia.length <= 2)){
		  var polesekcii = $('#layoutRow33008').pageableSection();
		  var sekcia = 0;
		  var vlozit = 0;
		  if (opaksekcia.length > 0) {
			var poma = $('#layoutRow33008').pageableSection().totalPages;
			if (poma > 1) {
			  for (var pomb=1;pomb<poma;pomb++) {
				$('#layoutRow33008').pageableSection().removePage();
			  }
			}
		  }
		  for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
		  var A1_xx = xmlDoc.getElementsByTagName('D1')[pocetopakovani];
		  if (A1_xx ) {

			  if (vlozit > 0) {
				$('#layoutRow33008').pageableSection().addPage();
			  }
			  vlozit = vlozit + 1;

			  $('#sekciaD1_h6').val(A1_xx.getAttribute('KOpr'));
			  $("#sekciaD1_h6").attr("disabled", false);
			  
			  $('#sekciaD1_h5').val(A1_xx.getAttribute('DZn')).change();
			  $('#sekciaD1_h4').val(A1_xx.getAttribute('ZZn')).change();
			  $('#sekciaD1_h3').val(A1_xx.getAttribute('D')).change();
			  $('#sekciaD1_h2').val(A1_xx.getAttribute('Z')).change();
			  $('#sekciaD1_h1').val(A1_xx.getAttribute('SumaObratov')).change();
				
			}
		  }
		  
		  $('#layoutRow33008').pageableSection().saveCurrentPage();
		}else{
			if(($("#riadny").attr("checked") || $("#opravny").attr("checked") && opaksekcia.length > 1)){
				alert("Počet sekcií D.1 bol prekročený. V prípade, že sa jedná o riadny alebo opravný výkaz, môže sa daná sekcia vyskytnúť len jedenkrát");
				ClearForm();
				throw false;
			}else if($("#dodatocny").attr("checked") && opaksekcia.length > 2){
				alert("Počet sekcií D.1 bol prekročený. V prípade, že sa jedná o dodatočný  výkaz, môže sa daná sekcia vyskytnúť len dvakrát.");
				ClearForm();
				throw false;
			}
		}
    }	


// SEKCIA D2

var opaksekcia = xmlDoc.getElementsByTagName('D2');
    if (opaksekcia.length) {
		if((($("#riadny").attr("checked") || $("#opravny").attr("checked")) && opaksekcia.length == 1) || ($("#dodatocny").attr("checked") && opaksekcia.length <= 2)){
		  var polesekcii = $('#layoutRow33011').pageableSection();
		  var sekcia = 0;
		  var vlozit = 0;
		  if (opaksekcia.length > 0) {
			var poma = $('#layoutRow33011').pageableSection().totalPages;
			if (poma > 1) {
			  for (var pomb=1;pomb<poma;pomb++) {
				$('#layoutRow33011').pageableSection().removePage();
			  }
			}
		  }
		  for (var pocetopakovani=0;pocetopakovani<opaksekcia.length;pocetopakovani++) {
		  var A1_xx = xmlDoc.getElementsByTagName('D2')[pocetopakovani];
		  if (A1_xx ) {

			  if (vlozit > 0) {
				$('#layoutRow33011').pageableSection().addPage();
			  }
			  vlozit = vlozit + 1;

			  $('#sekciaD2_h5').val(A1_xx.getAttribute('KOpr'));
			  $("#sekciaD2_h5").attr("disabled", false);
			  
			  $('#sekciaD2_h4').val(A1_xx.getAttribute('DZn')).change();
			  $('#sekciaD2_h3').val(A1_xx.getAttribute('ZZn')).change();
			  $('#sekciaD2_h2').val(A1_xx.getAttribute('D')).change();
			  $('#sekciaD2_h1').val(A1_xx.getAttribute('Z')).change();
				  
			}
		  }
		  
		  $('#layoutRow33011').pageableSection().saveCurrentPage();
		}else{
			if(($("#riadny").attr("checked") || $("#opravny").attr("checked") && opaksekcia.length > 1)){
				alert("Počet sekcií D.2 bol prekročený. V prípade, že sa jedná o riadny alebo opravný výkaz, môže sa daná sekcia vyskytnúť len jedenkrát");
				ClearForm();
				throw false;
			}else if($("#dodatocny").attr("checked") && opaksekcia.length > 2){
				alert("Počet sekcií D.2 bol prekročený. V prípade, že sa jedná o dodatočný  výkaz, môže sa daná sekcia vyskytnúť len dvakrát.");
				ClearForm();
				throw false;
			}
		}
    }	

	
  }
}


function getElementsValXml(element){
  return htmlDecode(element.textContent) || htmlDecode(element.text) || '';
}

function setElementsValOS(element,pocet){
  if (pocet==1) {
    return element;
  } else {
    var cislo_elementu = pocet - 1;
    return element + '_Repeating_' + cislo_elementu;
  }
  /*
  if (pocet == 1) {
    return element;
  }
  if (pocet == 2) {
    return element + "1";
  }
  if (pocet == 3) {
    return element + "3";
  }
  if (pocet > 3) {
    var pomocna = (pocet - 3) + pocet;
    return element + pomocna;
  }
  */
}




