<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>KVDPHv21 - Kontrolný výkaz pre daň z pridanej hodnoty (platný od 1.1.2021)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/VykazDPHv01">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Kontrolný výkaz DPH</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaFormNazov/text()"><div><label class="labelVis">sekciaFormNazov: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaFormNazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/VykazDPHv01/rcpsd">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Identifikačné číslo pre daň z pridanej hodnoty </div>
</div>
<xsl:if test="/VykazDPHv01/rcpsd/registracne/text()"><div><label class="labelVis">IČ DPH: </label><span class="contentVis wordwrap"><xsl:value-of select="./registracne"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaDruhVykazu">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Druh kontrolného výkazu</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaDruhVykazu/dkv/text()"><div><label class="labelVis">dkv: </label><span class="contentVis wordwrap"><xsl:value-of select="./dkv"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaObdobie">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Obdobie</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaObdobie/formMesiac/text()"><div><label class="labelVis">Mesiac: </label><span class="contentVis wordwrap"><xsl:value-of select="./formMesiac"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaObdobie/formStvrtrok/text()"><div><label class="labelVis">Štvrťrok: </label><span class="contentVis wordwrap"><xsl:value-of select="./formStvrtrok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaObdobie/formRok/text()"><div><label class="labelVis">Rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./formRok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaObchMeno">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Názov alebo obchodné meno právnickej alebo meno a priezvisko fyzickej osoby  </div>
</div>
<xsl:if test="/VykazDPHv01/sekciaObchMeno/formObchMeno/text()"><div><label class="labelVis">Názov alebo obchodné meno právnickej alebo meno a priezvisko fyzickej osoby: </label><span class="contentVis wordwrap"><xsl:value-of select="./formObchMeno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaAdresaSidla">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Adresa sídla alebo trvalého pobytu</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaAdresaSidla/formUlica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./formUlica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaAdresaSidla/formPSC/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./formPSC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaAdresaSidla/formTelefon/text()"><div><label class="labelVis">Číslo telefónu: </label><span class="contentVis wordwrap"><xsl:value-of select="./formTelefon"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaAdresaSidla/formStat/text()"><div><label class="labelVis">Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./formStat"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaAdresaSidla/formUlicaCIslo/text()"><div><label class="labelVis">Číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./formUlicaCIslo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaAdresaSidla/formObec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./formObec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaAdresaSidla/formemail/text()"><div><label class="labelVis">E-mail: </label><span class="contentVis wordwrap"><xsl:value-of select="./formemail"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaA">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">A. Údaje z vyhotovenej  faktúry o dodaní tovarov a služieb</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaA/sekciaA1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">A.1. Údaje z vyhotovenej faktúry o dodaní tovarov a služieb, ktorú bol platiteľ dane (ďalej len „platiteľ“) povinný vyhotoviť podľa § 71 až 75 zákona, pri ktorých je osobou povinnou platiť daň (okrem zjednodušenej faktúry a faktúry o dodaní plnení oslobodených od dane)</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaA/sekciaA1/sekcia_A_hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">A1 hlavička</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA1/sekcia_A_hlavicka/sekciaA1_h1/text()"><div><label class="labelVis">Identifikačné číslo pre daň odberateľa 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA1_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA1/sekcia_A_hlavicka/sekciaA1_h2/text()"><div><label class="labelVis">Poradové číslo faktúry  2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA1_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA1/sekcia_A_hlavicka/sekciaA1_h3/text()"><div><label class="labelVis">Dátum dodania tovaru alebo služby alebo dátum prijatia platby 3: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./sekciaA1_h3" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA1/sekcia_A_hlavicka/sekciaA1_h4/text()"><div><label class="labelVis">Základ dane v eurách  4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA1_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA1/sekcia_A_hlavicka/sekciaA1_h6/text()"><div><label class="labelVis">Sadzba dane %  5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA1_h6"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA1/sekcia_A_hlavicka/sekciaA1_h5/text()"><div><label class="labelVis">Suma dane v eurách  6: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA1_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA1/sekcia_A_hlavicka/sekciaA1_h7/text()"><div><label class="labelVis">Kód opravy7: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA1_h7"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaA/sekciaA2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">A.2. Údaje z vyhotovenej faktúry o dodaní tovarov a služieb, ktorú bol platiteľ povinný vyhotoviť podľa § 71 až 75 zákona, pri ktorých je osobou povinnou platiť daň príjemca plnenia podľa § 69 ods.12 písm. f) až j) zákona</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">A2  hlavička</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h1/text()"><div><label class="labelVis">Identifikačné číslo pre daň odberateľa 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA2_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h2/text()"><div><label class="labelVis">Poradové číslo faktúry 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA2_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h3/text()"><div><label class="labelVis">Dátum dodania tovaru alebo služby alebo dátum prijatia platby  3: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./sekciaA2_h3" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h4/text()"><div><label class="labelVis">Základ dane v eurách 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA2_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h5/text()"><div><label class="labelVis">Číselný kód tovaru podľa Spoločného colného sadzobníka [tovar podľa § 69 ods. 12 písm. f) a g) zákona] 5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA2_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h6/text()"><div><label class="labelVis">Druh tovaru [tovar podľa § 69 ods. 12 písm. h) a i) zákona] 6: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA2_h6"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h7/text()"><div><label class="labelVis">Množstvo tovaru  [tovar podľa § 69 ods. 12 písm. f) až i) zákona] 7: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA2_h7"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h8/text()"><div><label class="labelVis">Merná jednotka 8: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA2_h8"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaA/sekciaA2/sekciaAhlavicka/sekciaA2_h9/text()"><div><label class="labelVis">Kód opravy 9: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaA2_h9"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaB">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B. Údaje z prijatej faktúry o dodaní tovarov a služieb alebo iného dokladu o dodaní tovarov a služieb</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaB/sekciaB1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B.1. Údaje z prijatej faktúry alebo iného dokladu, pri ktorom je osobou povinnou platiť daň príjemca plnenia podľa § 69 ods. 2, 3, 6, 7 a 9 až 12 zákona (okrem faktúry o dodaní plnení oslobodených od dane)</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B1 hlavička</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka/sekciaB1_h1/text()"><div><label class="labelVis">Identifikačné číslo pre daň dodávateľa 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB1_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka/sekciaB1_h2/text()"><div><label class="labelVis">Poradové číslo faktúry alebo číselná identifikácia dokladu 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB1_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka/sekciaB1_h3/text()"><div><label class="labelVis">Dátum dodania tovaru alebo služby alebo dátum prijatia platby 3: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./sekciaB1_h3" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka/sekciaB1_h4/text()"><div><label class="labelVis">Základ dane v eurách 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB1_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka/sekciaB1_h6/text()"><div><label class="labelVis">Sadzba dane % 5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB1_h6"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka/sekciaB1_h5/text()"><div><label class="labelVis">Suma dane v eurách 6: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB1_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka/sekciaB1_h7/text()"><div><label class="labelVis">Výška odpočítanej dane v eurách 7: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB1_h7"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB1/sekcia_B1_hlavicka/sekciaB1_h8/text()"><div><label class="labelVis">Kód opravy 8: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB1_h8"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaB/sekciaB2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B.2. Údaje z prijatej faktúry, z ktorej príjemca plnenia uplatňuje odpočítanie dane a ktorú vyhotovil platiteľ, ktorý je osobou povinnou platiť daň podľa § 69 ods. 1 zákona</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B2 hlavička</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka/sekciaB2_h1/text()"><div><label class="labelVis">Identifikačné číslo pre daň dodávateľa 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB2_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka/sekciaB2_h2/text()"><div><label class="labelVis">Poradové číslo faktúry 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB2_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka/sekciaB2_h3/text()"><div><label class="labelVis">Dátum dodania tovaru alebo služby alebo dátum prijatia platby 3: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./sekciaB2_h3" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka/sekciaB2_h4/text()"><div><label class="labelVis">Základ dane v eurách 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB2_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka/sekciaB2_h6/text()"><div><label class="labelVis">Sadzba dane % 5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB2_h6"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka/sekciaB2_h5/text()"><div><label class="labelVis">Suma dane v eurách 6: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB2_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka/sekciaB2_h7/text()"><div><label class="labelVis">Výška odpočítanej dane v eurách 7: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB2_h7"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB2/sekciaB2hlavicka/sekciaB2_h8/text()"><div><label class="labelVis">Kód opravy 8: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB2_h8"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaB/sekciaB31">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B.3.1. Údaje zo všetkých prijatých zjednodušených faktúr podľa § 74 ods. 3 písm. a) a b) zákona, z ktorých príjemca plnenia uplatňuje odpočítanie dane (ak je celková suma odpočítanej dane za príslušné zdaňovacie obdobie menej ako 3 000 eur)</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaB/sekciaB31/sekciaB31hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B31 hlavička</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB31/sekciaB31hlavicka/sekciaB31_h1/text()"><div><label class="labelVis">Celková suma základov dane v eurách 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB31_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB31/sekciaB31hlavicka/sekciaB31_h2/text()"><div><label class="labelVis">Celková suma dane v eurách 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB31_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB31/sekciaB31hlavicka/sekciaB31_h3/text()"><div><label class="labelVis">Celková suma odpočítanej dane v eurách 3: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB31_h3"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB31/sekciaB31hlavicka/sekciaB31_h4/text()"><div><label class="labelVis">Kód opravy 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB31_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaB/sekciaB32">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B.3.2. Údaje zo všetkých prijatých zjednodušených faktúr podľa § 74 ods. 3 písm. a) a b) zákona, z ktorých príjemca plnenia uplatňuje odpočítanie dane (ak je celková suma odpočítanej dane za príslušné zdaňovacie obdobie 3 000 eur a viac)</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaB/sekciaB32/sekciaB32hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">B32 hlavička</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB32/sekciaB32hlavicka/sekciaB32_h1/text()"><div><label class="labelVis">Identifikačné číslo pre daň dodávateľa 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB32_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB32/sekciaB32hlavicka/sekciaB32_h2/text()"><div><label class="labelVis">Celková suma základov dane v eurách 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB32_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB32/sekciaB32hlavicka/sekciaB32_h3/text()"><div><label class="labelVis">Celková suma dane v eurách 3: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB32_h3"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB32/sekciaB32hlavicka/sekciaB32_h4/text()"><div><label class="labelVis">Celková suma odpočítanej dane v eurách 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB32_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/sekciaB32/sekciaB32hlavicka/sekciaB32_h5/text()"><div><label class="labelVis">Kód opravy 5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaB32_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:if test="/VykazDPHv01/sekciaB/pomocneValidacnePole/text()"><div><label class="labelVis">pomocneValidacnePole: </label><span class="contentVis wordwrap"><xsl:value-of select="./pomocneValidacnePole"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/pomocneValidacnePole2/text()"><div><label class="labelVis">pomocneValidacnePole2: </label><span class="contentVis wordwrap"><xsl:value-of select="./pomocneValidacnePole2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaB/pomocneValidacnePole3/text()"><div><label class="labelVis">pomocneValidacnePole3: </label><span class="contentVis wordwrap"><xsl:value-of select="./pomocneValidacnePole3"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaC">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">C. Údaje z faktúry podľa § 71 ods. 2 zákona, ktorá mení pôvodnú faktúru (ďalej len „opravná faktúra“) a údaje z opravného dokladu podľa § 25a zákona (ďalej len „opravný doklad“) </div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaC/sekciaC1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">C.1. Údaje z vyhotovenej opravnej faktúry a opravného dokladu</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">C1 hlavicka</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h1/text()"><div><label class="labelVis">Identifikačné číslo pre daň odberateľa 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h2/text()"><div><label class="labelVis">Poradové číslo opravnej faktúry alebo opravného dokladu2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h3/text()"><div><label class="labelVis">Poradové číslo pôvodnej vyhotovenej faktúry 3: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h3"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h4/text()"><div><label class="labelVis">Rozdiel základu dane v eurách 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h6/text()"><div><label class="labelVis">Sadzba dane % 5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h6"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h5/text()"><div><label class="labelVis">Rozdiel sumy dane v eurách 6: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h7/text()"><div><label class="labelVis">Číselný kód tovaru podľa Spoločného colného sadzobníka [tovar podľa § 69 ods. 12 písm. f) a g) zákona] 7: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h7"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h8/text()"><div><label class="labelVis">Druh tovaru [tovar podľa § 69 ods. 12 písm. h) a i) zákona] 8: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h8"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h9/text()"><div><label class="labelVis">Rozdiel množstva tovaru [tovar podľa § 69 ods. 12 písm. f) až i) zákona] 9: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h9"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h10/text()"><div><label class="labelVis">Merná jednotka 10: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h10"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaOZD">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Oprava základu dane podľa § 25a zákona</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaOZD/sekciaC1_h11/text()"><div><label class="labelVis">Oprava základu dane podľa podľa §25a zákona: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h11"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC1/sekciaC1hlavicka/sekciaC1_h12/text()"><div><label class="labelVis">Kód opravy 12: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC1_h12"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaC/sekciaC2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">C.2. Údaje z prijatej opravnej faktúry a prijatého opravného dokladu</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">C2 hlavicka</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaC2_h1/text()"><div><label class="labelVis">Identifikačné číslo pre daň dodávateľa 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaC2_h2/text()"><div><label class="labelVis">Poradové číslo opravnej faktúry alebo opravného dokladu2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaC2_h3/text()"><div><label class="labelVis">Poradové číslo pôvodnej prijatej faktúry 3: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h3"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaC2_h4/text()"><div><label class="labelVis">Rozdiel základu dane v eurách 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaC2_h6/text()"><div><label class="labelVis">Sadzba dane % 5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h6"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaC2_h5/text()"><div><label class="labelVis">Rozdiel sumy dane v eurách 6: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaC2_h7/text()"><div><label class="labelVis">Rozdiel v sume odpočítanej dane v eurách 7: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h7"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaOOD">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Oprava odpočítanej dane podľa § 53b zákona</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaOOD/sekciaC2_h8/text()"><div><label class="labelVis">Oprava odpočítanej dane podľa §53b zákona: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h8"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/VykazDPHv01/sekciaC/sekciaC2/sekciaC2hlavicka/sekciaC2_h9/text()"><div><label class="labelVis">Kód opravy 9: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaC2_h9"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaD">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">D. Údaje o dodaní tovarov a služieb iných ako uvedených v časti A., z ktorých je platiteľ osobou povinnou platiť daň</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaD/sekciaD1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">D.1. Údaje o obratoch evidovaných všetkými pokladnicami e-kasa klient</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaD/sekciaD1/sekciaD1hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">D1 hlavička</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD1/sekciaD1hlavicka/sekciaD1_h1/text()"><div><label class="labelVis">Celková suma obratov v eurách evidovaných všetkými pokladnicami e-kasa klient1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD1_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD1/sekciaD1hlavicka/sekciaD1_h2/text()"><div><label class="labelVis">Celková suma základov dane vrátane opráv v eurách (základná sadzba) 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD1_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD1/sekciaD1hlavicka/sekciaD1_h3/text()"><div><label class="labelVis">Celková suma dane v eurách (základná sadzba) 3: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD1_h3"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD1/sekciaD1hlavicka/sekciaD1_h4/text()"><div><label class="labelVis">Celková suma základov dane vrátane opráv v eurách (znížená sadzba) 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD1_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD1/sekciaD1hlavicka/sekciaD1_h5/text()"><div><label class="labelVis">Celková suma dane v eurách (znížená sadzba) 5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD1_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD1/sekciaD1hlavicka/sekciaD1_h6/text()"><div><label class="labelVis">Kód opravy 6: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD1_h6"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/VykazDPHv01/sekciaD/sekciaD2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">D.2. Údaje o dodaní tovarov a služieb, ktoré sa neevidujú pokladnicami e-kasa klient</div>
</div>
<xsl:for-each select="/VykazDPHv01/sekciaD/sekciaD2/sekciaD2hlavicka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">D2 hlavička</div>
</div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD2/sekciaD2hlavicka/sekciaD2_h1/text()"><div><label class="labelVis">Celková suma základov dane vrátane opráv v eurách (základná sadzba) 1: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD2_h1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD2/sekciaD2hlavicka/sekciaD2_h2/text()"><div><label class="labelVis">Celková suma dane v eurách (základná sadzba) 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD2_h2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD2/sekciaD2hlavicka/sekciaD2_h3/text()"><div><label class="labelVis">Celková suma základov dane vrátane opráv v eurách (znížená sadzba) 3: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD2_h3"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD2/sekciaD2hlavicka/sekciaD2_h4/text()"><div><label class="labelVis">Celková suma dane v eurách (znížená sadzba) 4: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD2_h4"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/VykazDPHv01/sekciaD/sekciaD2/sekciaD2hlavicka/sekciaD2_h5/text()"><div><label class="labelVis">Kód opravy 5: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaD2_h5"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:if test="/VykazDPHv01/sekciaVysvetlivky/text()"><div><label class="labelVis">sekciaVysvetlivky: </label><span class="contentVis wordwrap"><xsl:value-of select="./sekciaVysvetlivky"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

